org.apache.hadoop.yarn.api.protocolrecords

## Class KillApplicationRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class KillApplicationRequest
      extends Object

  The request sent by the client to the `ResourceManager` to abort a submitted application.

  The request includes the `ApplicationId` of the application to be aborted.

  See Also:
    `ApplicationClientProtocol.forceKillApplication(KillApplicationRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KillApplicationRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ApplicationId` | `getApplicationId()` Get the `ApplicationId` of the application to be aborted.
    `abstract String` | `getDiagnostics()` Get the diagnostics to which the application is being killed.
    `static KillApplicationRequest` | `newInstance(ApplicationId applicationId)`
    `abstract void` | `setApplicationId(ApplicationId applicationId)`
    `abstract void` | `setDiagnostics(String diagnostics)` Set the diagnostics to which the application is being killed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KillApplicationRequest

          public KillApplicationRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public static KillApplicationRequest newInstance(ApplicationId applicationId)

    - #### getApplicationId

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract ApplicationId getApplicationId()

      Get the `ApplicationId` of the application to be aborted.
      Returns:
        `ApplicationId` of the application to be aborted

    - #### setApplicationId

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setApplicationId(ApplicationId applicationId)

    - #### getDiagnostics

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract String getDiagnostics()

      Get the diagnostics to which the application is being killed.
      Returns:
        diagnostics to which the application is being killed

    - #### setDiagnostics

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setDiagnostics(String diagnostics)

      Set the diagnostics to which the application is being killed.
      Parameters:
        `diagnostics` - diagnostics to which the application is being killed

Copyright © 2022 Apache Software Foundation. All rights reserved.